Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.scanner
Class URLDeploymentScanner.DeployedURL

    java.lang.Object
      org.jboss.deployment.scanner.URLDeploymentScanner.DeployedURL

Enclosing class:
  URLDeploymentScanner

protected class URLDeploymentScanner.DeployedURL
extends Object

A container and help class for a deployed URL. should be static at this point, with the explicit scanner ref, but I'm (David) lazy.

Field Summary
`long` | `deployedLastModified`
`URL` | `url`
`URL` | `watchUrl`

Constructor Summary
`URLDeploymentScanner.DeployedURL(URL url)`

Method Summary
`void` | `deployed()`
`boolean` | `equals(Object other)`
`File` | `getFile()`
`long` | `getLastModified()`
`int` | `hashCode()`
`boolean` | `isFile()`
`boolean` | `isModified()`
`boolean` | `isRemoved()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### url

    public URL url

### watchUrl

    public URL watchUrl

### deployedLastModified

    public long deployedLastModified

Constructor Detail

### URLDeploymentScanner.DeployedURL

    public URLDeploymentScanner.DeployedURL(URL url)

Method Detail

### deployed

    public void deployed()

### isFile

    public boolean isFile()

### getFile

    public File getFile()

### isRemoved

    public boolean isRemoved()

### getLastModified

    public long getLastModified()

### isModified

    public boolean isModified()

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object other)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.